Subject: Re: bug#16604: 24.3.50; False negatives in lisp-completion-at-point

From: Stefan Monnier <[email-masked]>
Date: Sun, 02 Feb 2014 22:48:32 -0500

>> So maybe "merge" is indeed a better default than "in-turn".
> I guess it means it might be worth trying to fix it for 24.4.
> But your completion-table-merge needs to be improved: the list passed to
> the outer `try-completion' needs to only hold strings, whereas the inner
> `try-completion's can return nil or t.

Also, the outer try-completion could end up returning t if one of the
inner ones returns the string we're trying to complete.
We might be better off always going through "(apply #'append (mapcar
#'all-completions ...))", e.g. via completion-table-dynamic.

Also, we should try and check that the sub-tables all have "trivial"
boundaries, and no quoting.

        Stefan